/*
    San Angeles Observation - Series 60 port
    Copyright 2005, 2006 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Martin Storsj
    martin@martin.st
*/

#ifndef __ANGELESAPPVIEW_H
#define __ANGELESAPPVIEW_H

#include <coecntrl.h>
#include <gles/egl.h>

#include "app.h"

class CEikLabel;

class CAngelesAppView : public CCoeControl {
public:
	enum TAppState { EInited, ECalcing, ECalced, ERunning };

	static CAngelesAppView* NewL(const TRect& aRect);
	static CAngelesAppView* NewLC(const TRect& aRect);
	~CAngelesAppView();
	void Draw(const TRect& aRect) const;
	static int Callback(TAny* aArg);
	void SizeChanged();

	void Run();
	void PrecalcL();
	void InitGL();
	void Stop();

	TInt CountComponentControls() const;
	CCoeControl* ComponentControl(TInt aIndex) const;
	void HandleResourceChange(TInt aType);

private:
	void SetCbaL(TInt aResource, TBool aDraw = ETrue);
	void DoPrecalcL();

	void ConstructL(const TRect& aRect);
	CAngelesAppView();

	EGLDisplay iDisplay;
	EGLContext iContext;
	EGLSurface iSurface;
	CPeriodic* iPeriodic;
	angeles_data* iAngeles;
	TInt iPeriod;
	TAppState iState;
	CEikLabel* iLabel;
};

#endif
