/*
    San Angeles Observation - Series 60 port
    Copyright 2005, 2006 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Martin Storsj
    martin@martin.st
*/

#include <avkon.hrh>
#include <aknnotewrappers.h>
#include <stringloader.h>
#include <flogger.h>
#include <angeles.rsg>

#include "angeles.pan"
#include "angelesappui.h"
#include "angelesappview.h"
#include "angeles.hrh"

void CAngelesAppUi::ConstructL() {
	BaseConstructL();
	iAppView = CAngelesAppView::NewL( ClientRect() );
	AddToStackL(iAppView);
}

CAngelesAppUi::CAngelesAppUi() {
}

CAngelesAppUi::~CAngelesAppUi() {
	if (iAppView) {
		RemoveFromStack(iAppView);
		delete iAppView;
		iAppView = NULL;
	}
}

void CAngelesAppUi::DoExit() {
	Exit();
}

void CAngelesAppUi::HandleCommandL(TInt aCommand) {
	switch(aCommand) {
	case EEikCmdExit:
	case EAknSoftkeyExit:
		Exit();
		break;

	case EAknSoftkeyBack:
		iAppView->Stop();
		break;

	case EAngelesEmpty:
		break;

	case EAngelesPrecalc:
		iAppView->PrecalcL();
		break;

	case EAngelesRun:
		iAppView->Run();
		break;

	default:
		Panic(EAngelesUi);
		break;
	}
}


