/*
    San Angeles Observation - Series 60 port
    Copyright 2005, 2006 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Martin Storsj
    martin@martin.st
*/

#include "angelesappui.h"
#include "angelesdoc.h"

CAngelesDocument* CAngelesDocument::NewL(CEikApplication& aApp) {
	CAngelesDocument* self = NewLC(aApp);
	CleanupStack::Pop(self);
	return self;
}

CAngelesDocument* CAngelesDocument::NewLC(CEikApplication& aApp) {
	CAngelesDocument* self = new(ELeave) CAngelesDocument(aApp);
	CleanupStack::PushL( self );
	self->ConstructL();
	return self;
}

void CAngelesDocument::ConstructL() {
}

CAngelesDocument::CAngelesDocument(CEikApplication& aApp) : CAknDocument(aApp) {
}

CAngelesDocument::~CAngelesDocument() {
}

CEikAppUi* CAngelesDocument::CreateAppUiL() {
	return static_cast<CEikAppUi*>(new(ELeave) CAngelesAppUi());
}

